<?php
/**
 * Strakture: Block Patterns
 *
 * @since 1.0
 * @package Strakture
 */

if ( ! function_exists( 'strakture_register_block_patterns' ) ) :
	/**
	 * Register block pattern categories.
	 */
	function strakture_register_block_patterns() {
		if ( function_exists( 'register_block_pattern_category' ) ) {
			register_block_pattern_category(
				'strakture-general',
				array( 'label' => __( 'Strakture General', 'strakture' ) )
			);
			register_block_pattern_category(
				'strakture-footers',
				array( 'label' => __( 'Strakture Footers', 'strakture' ) )
			);
			register_block_pattern_category(
				'strakture-headers',
				array( 'label' => __( 'Strakture Headers', 'strakture' ) )
			);
			register_block_pattern_category(
				'strakture-posts',
				array( 'label' => __( 'Strakture Posts', 'strakture' ) )
			);
			register_block_pattern_category(
				'strakture-pages',
				array( 'label' => __( 'Strakture Pages', 'strakture' ) )
			);
			register_block_pattern_category(
				'strakture-shop',
				array( 'label' => __( 'Strakture Shop', 'strakture' ) )
			);
		}
	}
endif;
add_action( 'init', 'strakture_register_block_patterns', 9 );
